| Home | Libraries | People | FAQ | More

## Function template partition_point

boost::algorithm::partition_point — Given a partitioned range, returns the partition point.

## Synopsis

    // In header: <boost/algorithm/cxx11/partition_point.hpp>

    template<typename Range, typename Predicate>
      boost::range_iterator< Range >::type partition_point(Range & r, Predicate p);

## Description

Parameters: |
`p` | The predicate to test the values with
`r` | The input range